summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure683
1 files changed, 158 insertions, 525 deletions
diff --git a/configure b/configure
index b631d1077..24079179d 100755
--- a/configure
+++ b/configure
@@ -2001,7 +2001,7 @@ esac
ac_config_headers="$ac_config_headers config.h"
-CUPS_VERSION=1.5.0
+CUPS_VERSION=1.5.2
CUPS_REVISION=
#if test -z "$CUPS_REVISION" -a -d .svn; then
# CUPS_REVISION="-r`svnversion . | awk -F: '{print $NF}' | sed -e '1,$s/[[a-zA-Z]]*//g'`"
@@ -4164,6 +4164,89 @@ fi
+{ echo "$as_me:$LINENO: checking for library containing fmod" >&5
+echo $ECHO_N "checking for library containing fmod... $ECHO_C" >&6; }
+if test "${ac_cv_search_fmod+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_func_search_save_LIBS=$LIBS
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char fmod ();
+int
+main ()
+{
+return fmod ();
+ ;
+ return 0;
+}
+_ACEOF
+for ac_lib in '' m; do
+ if test -z "$ac_lib"; then
+ ac_res="none required"
+ else
+ ac_res=-l$ac_lib
+ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ ac_cv_search_fmod=$ac_res
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext
+ if test "${ac_cv_search_fmod+set}" = set; then
+ break
+fi
+done
+if test "${ac_cv_search_fmod+set}" = set; then
+ :
+else
+ ac_cv_search_fmod=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_search_fmod" >&5
+echo "${ECHO_T}$ac_cv_search_fmod" >&6; }
+ac_res=$ac_cv_search_fmod
+if test "$ac_res" != no; then
+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+fi
+
{ echo "$as_me:$LINENO: checking for library containing crypt" >&5
echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
if test "${ac_cv_search_crypt+set}" = set; then
@@ -11107,7 +11190,7 @@ fi
if test $uversion -ge 100; then
- if test "${ac_cv_header_sandbox_h+set}" = set; then
+ if test "${ac_cv_header_sandbox_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for sandbox.h" >&5
echo $ECHO_N "checking for sandbox.h... $ECHO_C" >&6; }
if test "${ac_cv_header_sandbox_h+set}" = set; then
@@ -11241,6 +11324,21 @@ fi
fi
+ if test $uversion -ge 110; then
+ # Broken public headers in 10.7...
+ { echo "$as_me:$LINENO: checking for sandbox/private.h presence" >&5
+echo $ECHO_N "checking for sandbox/private.h presence... $ECHO_C" >&6; }
+ if test -f /usr/local/include/sandbox/private.h; then
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ { { echo "$as_me:$LINENO: error: Run 'sudo mkdir -p /usr/local/include/sandbox' and 'sudo touch /usr/local/include/sandbox/private.h' to build CUPS." >&5
+echo "$as_me: error: Run 'sudo mkdir -p /usr/local/include/sandbox' and 'sudo touch /usr/local/include/sandbox/private.h' to build CUPS." >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ fi
if test "${ac_cv_header_xpc_xpc_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for xpc/xpc.h" >&5
@@ -12731,8 +12829,7 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
# Additional warning options for development testing...
if test -d .svn; then
- OPTIM="-Wshadow $OPTIM"
- CFLAGS="-Werror-implicit-function-declaration $CFLAGS"
+ OPTIM="-Wshadow -Werror $OPTIM"
PHPOPTIONS="-Wno-shadow"
else
{ echo "$as_me:$LINENO: checking if GCC supports -Wno-tautological-compare" >&5
@@ -16538,538 +16635,74 @@ fi
if test -d /System/Library/Frameworks/GSS.framework; then
- if test "${ac_cv_header_GSS_gssapi_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for GSS/gssapi.h" >&5
-echo $ECHO_N "checking for GSS/gssapi.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_h" >&6; }
-else
- # Is the header compilable?
-{ echo "$as_me:$LINENO: checking GSS/gssapi.h usability" >&5
-echo $ECHO_N "checking GSS/gssapi.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <GSS/gssapi.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking GSS/gssapi.h presence" >&5
-echo $ECHO_N "checking GSS/gssapi.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <GSS/gssapi.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null && {
- test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
- test ! -s conftest.err
- }; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: GSS/gssapi.h: in the future, the compiler will take precedence" >&2;}
-
- ;;
-esac
-{ echo "$as_me:$LINENO: checking for GSS/gssapi.h" >&5
-echo $ECHO_N "checking for GSS/gssapi.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_GSS_gssapi_h=$ac_header_preproc
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_h" >&6; }
-
-fi
-if test $ac_cv_header_GSS_gssapi_h = yes; then
- cat >>confdefs.h <<\_ACEOF
+ gssdir="/System/Library/Frameworks/GSS.framework"
+ { echo "$as_me:$LINENO: checking for GSS/gssapi.h presence" >&5
+echo $ECHO_N "checking for GSS/gssapi.h presence... $ECHO_C" >&6; }
+ if test -f $gssdir/Headers/gssapi.h; then
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_GSS_GSSAPI_H 1
_ACEOF
-fi
-
-
- if test "${ac_cv_header_GSS_gssapi_generic_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for GSS/gssapi_generic.h" >&5
-echo $ECHO_N "checking for GSS/gssapi_generic.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_generic_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_generic_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_generic_h" >&6; }
-else
- # Is the header compilable?
-{ echo "$as_me:$LINENO: checking GSS/gssapi_generic.h usability" >&5
-echo $ECHO_N "checking GSS/gssapi_generic.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <GSS/gssapi_generic.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking GSS/gssapi_generic.h presence" >&5
-echo $ECHO_N "checking GSS/gssapi_generic.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <GSS/gssapi_generic.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null && {
- test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
- test ! -s conftest.err
- }; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_generic.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: GSS/gssapi_generic.h: in the future, the compiler will take precedence" >&2;}
-
- ;;
-esac
-{ echo "$as_me:$LINENO: checking for GSS/gssapi_generic.h" >&5
-echo $ECHO_N "checking for GSS/gssapi_generic.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_generic_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_GSS_gssapi_generic_h=$ac_header_preproc
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_generic_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_generic_h" >&6; }
-
-fi
-if test $ac_cv_header_GSS_gssapi_generic_h = yes; then
- cat >>confdefs.h <<\_ACEOF
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ fi
+ { echo "$as_me:$LINENO: checking for GSS/gssapi_generic.h presence" >&5
+echo $ECHO_N "checking for GSS/gssapi_generic.h presence... $ECHO_C" >&6; }
+ if test -f $gssdir/Headers/gssapi_generic.h; then
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_GSSAPI_GENERIC_H 1
_ACEOF
-fi
-
-
- if test "${ac_cv_header_GSS_gssapi_krb5_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for GSS/gssapi_krb5.h" >&5
-echo $ECHO_N "checking for GSS/gssapi_krb5.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_krb5_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_krb5_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_krb5_h" >&6; }
-else
- # Is the header compilable?
-{ echo "$as_me:$LINENO: checking GSS/gssapi_krb5.h usability" >&5
-echo $ECHO_N "checking GSS/gssapi_krb5.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <GSS/gssapi_krb5.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking GSS/gssapi_krb5.h presence" >&5
-echo $ECHO_N "checking GSS/gssapi_krb5.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <GSS/gssapi_krb5.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null && {
- test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
- test ! -s conftest.err
- }; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_krb5.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: GSS/gssapi_krb5.h: in the future, the compiler will take precedence" >&2;}
-
- ;;
-esac
-{ echo "$as_me:$LINENO: checking for GSS/gssapi_krb5.h" >&5
-echo $ECHO_N "checking for GSS/gssapi_krb5.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_krb5_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_GSS_gssapi_krb5_h=$ac_header_preproc
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_krb5_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_krb5_h" >&6; }
-
-fi
-if test $ac_cv_header_GSS_gssapi_krb5_h = yes; then
- cat >>confdefs.h <<\_ACEOF
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ fi
+ { echo "$as_me:$LINENO: checking for GSS/gssapi_krb5.h presence" >&5
+echo $ECHO_N "checking for GSS/gssapi_krb5.h presence... $ECHO_C" >&6; }
+ if test -f $gssdir/Headers/gssapi_krb5.h; then
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_GSSAPI_KRB5_H 1
_ACEOF
-fi
-
-
- if test "${ac_cv_header_GSS_gssapi_spi_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for GSS/gssapi_spi.h" >&5
-echo $ECHO_N "checking for GSS/gssapi_spi.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_spi_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_spi_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_spi_h" >&6; }
-else
- # Is the header compilable?
-{ echo "$as_me:$LINENO: checking GSS/gssapi_spi.h usability" >&5
-echo $ECHO_N "checking GSS/gssapi_spi.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <GSS/gssapi_spi.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking GSS/gssapi_spi.h presence" >&5
-echo $ECHO_N "checking GSS/gssapi_spi.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <GSS/gssapi_spi.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null && {
- test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
- test ! -s conftest.err
- }; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: GSS/gssapi_spi.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: GSS/gssapi_spi.h: in the future, the compiler will take precedence" >&2;}
-
- ;;
-esac
-{ echo "$as_me:$LINENO: checking for GSS/gssapi_spi.h" >&5
-echo $ECHO_N "checking for GSS/gssapi_spi.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_GSS_gssapi_spi_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_GSS_gssapi_spi_h=$ac_header_preproc
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_GSS_gssapi_spi_h" >&5
-echo "${ECHO_T}$ac_cv_header_GSS_gssapi_spi_h" >&6; }
-
-fi
-if test $ac_cv_header_GSS_gssapi_spi_h = yes; then
- cat >>confdefs.h <<\_ACEOF
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ fi
+ { echo "$as_me:$LINENO: checking for GSS/gssapi_spi.h presence" >&5
+echo $ECHO_N "checking for GSS/gssapi_spi.h presence... $ECHO_C" >&6; }
+ if test -f $gssdir/PrivateHeaders/gssapi_spi.h; then
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ { echo "$as_me:$LINENO: checking for GSS/gssapi_spi.h usability" >&5
+echo $ECHO_N "checking for GSS/gssapi_spi.h usability... $ECHO_C" >&6; }
+ if test -s $gssdir/PrivateHeaders/gssapi_spi.h; then
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_GSS_GSSAPI_SPI_H 1
_ACEOF
-fi
-
-
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ fi
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ if test $uversion -ge 110; then
+ # Broken public headers in 10.7...
+ { { echo "$as_me:$LINENO: error: Run 'sudo mkdir -p $gssdir/PrivateHeaders' and 'sudo touch $gssdir/PrivateHeaders/gssapi_spi.h' to build CUPS." >&5
+echo "$as_me: error: Run 'sudo mkdir -p $gssdir/PrivateHeaders' and 'sudo touch $gssdir/PrivateHeaders/gssapi_spi.h' to build CUPS." >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ fi
else
if test "${ac_cv_header_gssapi_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for gssapi.h" >&5
@@ -23327,7 +22960,7 @@ if test "x$LANGUAGES" != x; then
LANGFILES="$LANGFILES templates/$lang/header.tmpl"
fi
done
-elif test "x$CUPS_BUNDLEDIR" != ""; then
+elif test "x$CUPS_BUNDLEDIR" != x; then
INSTALL_LANGUAGES="install-langbundle"
UNINSTALL_LANGUAGES="uninstall-langbundle"
fi